QGIS Application - Bug report #18283

serious regression: labelling's parallel placement leads to endless label rendering

2018-03-01 10:43 AM - Mathieu Pellerin - nIRV

Status: Closed
Priority: High
Assignee: Nyall Dawson
Category: Labelling

Affected QGIS version:3.1(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 26174

Description

When using the parallel placement mode to label a line layer, QGIS' rendering appears to enter in an endless loop while attempting to
label that layer. The user has to eventually kill QGIS and restart the app to regain control of the app.

I'm seeing this under QGIS master (i.e. baby-born 3.1), but | suspect and worry it's a regression which started prior to release of 3.0.

Steps to reproduce
1. Load the attached test project

2. Open the layer style panel for the roads_subset layer

3. Set the labelling placement to "parallel”
4. Observe QGIS going into endless rendering

5. The only way to stop the rendering is to switch the placement back to curved er-herizontal.

6. Upon quitting, the QGIS process stays in memory

Associated revisions

Revision a76fb0b4 - 2018-03-05 02:36 AM - Nyall Dawson
[pal] Fix invalid candidates created for parallel line labeling
mode when a closed linestring is too small for labels to fit

within feature

Fixes #18283

Revision 35527642 - 2018-03-06 02:20 AM - Nyall Dawson
[pal] Fix invalid candidates created for parallel line labeling
mode when a closed linestring is too small for labels to fit
within feature

Fixes #18283

(cherry-picked from a76fb0b)

History

#1 - 2018-03-01 10:44 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.1(master)

#2 - 2018-03-01 11:00 AM - Mathieu Pellerin - nIRV
Oups, sorry, horizontal placement also results in infinite rendering.

#3 - 2018-03-01 11:00 AM - Mathieu Pellerin - nIRV

- Description updated

#4 - 2018-03-01 11:01 AM - Mathieu Pellerin - nIRV
- Description updated

#5 - 2018-03-02 04:33 AM - Mathieu Pellerin - nIRV

- Assignee set to Nyall Dawson

Reverting commit 2ab1e02 and commit dded4ab takes care of the regression.

#6 - 2018-03-05 01:29 AM - Nyall Dawson

- Status changed from Open to In Progress

#7 - 2018-03-05 02:36 AM - Nyall Dawson

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|a76fb0b469796183c76d5343053e5be2471de126.

#8 - 2018-03-06 11:54 AM - Giovanni Manghi
- Resolution set to fixed/implemented
